---
title: "Helping organizations build successful design systems"
author: Taurie Davis
author_gitlab: tauriedavis
author_twitter: tauried
categories: unfiltered
image_title: "/images/blogimages/helping-organizations-build-successful-design-systems.png"
description: "At GitLab, we want to help organizations build successful design systems. In order to do that, we are looking for your feedback."
tags: pajamas, design system
cta_button_text: "Tell us about your Design System experience!"
cta_button_link: "https://gitlab.com/gitlab-org/gitlab/-/issues/219445"
ee_cta: false
install_cta: false
twitter_text: "At GitLab, we want to help organizations build successful design systems. In order to do that, we are looking for your feedback"
---

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
This blog post is [Unfiltered](/handbook/marketing/blog/unfiltered/#legal-disclaimer)
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}

# Creating a design system

Over the last few years, GitLab has invested in the creation of [Pajamas](https://design.gitlab.com/), our living
design system. We believe that a design system can help us scale more efficiently by creating a shared
vision and language that is used across departments and teams. 

Now, we're interested in hearing from our
community: **How can GitLab help you build a successful design system in your own organization?**

## What is a design system

A design system is a series of documentation that includes both design practices, as well as frontend guidelines.
Live coded demos are included to allow cross-functional teams to easily reuse styles and components in
several instances across your product. The underlying principles and guidelines that you develop are what
set your design system apart from others.

## Benefits

Design systems provide many benefits to organizations including:

**Efficiency**
- Product Designers can spend more time solving problems and less time designing (and redesigning) UI components.
    Components can be reused, making design efforts scalable and ensuring the UI stays [DRY](https://en.wikipedia.org/wiki/Don%27t_repeat_yourself).
- Engineers can reference design documentation that helps them to easily eliminate inconsistencies between
    design and code without assistance from a Product Designer.
- Engineers can find coding and development guidelines that help them write better code and conform
    to set practices more efficiently.
- Product Managers can quickly propose solutions that follow documented usability guidelines.

**Consistency**
- Teams can make fast, continuous feature additions within their iterative groups, while still maintaining
    consistency with other product areas.
- Users can get up to speed more quickly on new features, because they don’t need to spend time learning how to
    interact with inconsistent UI patterns.
- Product Designers can feel more confident that their designs are visually appealing, consistent, accessible, and on brand.
- Marketing and UX departments can create consistent experiences across platforms through a shared visual language.

**Improved communication**
- Teams can quickly envision and align on the details of how a proposed solution might be implemented.
- Organizations are able to prove to customers that they have a deep commitment to improving the experience of the product.
- Departments are aligned through shared principles and personas.

## Challenges

Although the benefits of a design system may be clear to many, most organizations struggle with integrating a design
system workflow into their organization. Building a design system takes more upfront planning and gaining buy-in from
your organization’s executive team can be difficult.

## How can GitLab help?

At GitLab, we recognize the benefits a design system can bring to an organization, and we're exploring whether we can support other organizations with this experience. For this reason,
we’ve begun drafting a [design system direction page](/direction/create/ecosystem/frontend-ux-foundations/) that focuses on providing a foundation
for your organization to begin building and implementing your own design system.

We’d love to know more about  whether your organization has begun building its own design system:

- Whether your organization has begun building your own design system
- If yes, how has a design system helped you? What struggles have you faced with implementing a design system?
- If no, what has stopped you?

If you have thoughts, suggestions, or feedback, please contribute to our 
[Design System MVC and Roadmap Discussion issue](https://gitlab.com/gitlab-org/gitlab/-/issues/219445).
